Commit 6e76423d authored by Michal Arbet's avatar Michal Arbet

New debian package release 8.1.2-1

parent 1731b7dd
/usr/bin/ceilometer-db-legacy-clean
/usr/bin/ceilometer-dbsync
/usr/bin/ceilometer-expirer
/usr/bin/ceilometer-polling
/usr/bin/ceilometer-rootwrap
......@@ -10,9 +9,7 @@ etc/ceilometer/event_definitions.yaml /etc/ceilometer
etc/ceilometer/event_pipeline.yaml /etc/ceilometer
etc/ceilometer/examples/loadbalancer_v2_meter_definitions.yaml /etc/ceilometer/examples
etc/ceilometer/examples/osprofiler_event_definitions.yaml /etc/ceilometer/examples
etc/ceilometer/gnocchi_resources.yaml /etc/ceilometer
etc/ceilometer/pipeline.yaml /etc/ceilometer
etc/ceilometer/policy.json /etc/ceilometer
etc/ceilometer/rootwrap.conf /etc/ceilometer
etc/ceilometer/rootwrap.d/ipmi.filters /etc/ceilometer/rootwrap.d
tools/show_data.py usr/share/doc/ceilometer
ceilometer (1:8.1.2-1) unstable; urgency=medium
* New upstream version
* Edit debian/control to match requirements
* Edit patch-requirements.txt-to-allow-sqla-1.1.patch
* Remove ceilometer-dbsync from install
* Remove gnocchi_resources.yaml from install
* Remove show_data.py from install
* Add removing AUTHORS,ChangeLog in dh_clean as it is generated dynamically
* Add removing ceilometer.egg-info in dh_clean as it is generated
dynamically
-- Michal Arbet <michal.arbet@ultimum.io> Wed, 22 Nov 2017 10:45:23 +0100
ceilometer (1:7.0.1-5) unstable; urgency=medium
* Fix ceilometer-api: add "--" as DAEMON_ARGS (Closes: #861199).
......
......@@ -17,9 +17,12 @@ Build-Depends-Indep: git,
python-awsauth,
python-concurrent.futures,
python-contextlib2,
python-openssl,
python-cachetools (>= 1.1.0),
python-cotyledon,
python-coverage,
python-dateutil (>= 2.4.2),
python-tenacity (>= 3.1.0),
python-debtcollector (>= 1.2.0),
python-elasticsearch (>= 1.3.0),
python-fixtures (>= 1.3.1),
......@@ -30,7 +33,7 @@ Build-Depends-Indep: git,
python-happybase,
python-jsonpath-rw-ext (>= 0.1.9),
python-jsonschema,
python-kafka (>= 0.9.5),
python-kafka (>= 1.3.1),
python-keystoneauth1 (>= 2.1.0),
python-keystoneclient (>= 1:1.6.0),
python-keystonemiddleware (>= 4.0.0),
......@@ -76,7 +79,8 @@ Build-Depends-Indep: git,
python-sqlalchemy (>= 1.0.10),
python-stevedore (>= 1.9.0),
python-swiftclient (>= 1:2.2.0),
python-tempest (>= 1:12.1.0),
python-cinderclient (>= 1.6.0),
python-tempest (>= 1:14.0.0),
python-testscenarios,
python-testtools (>= 1.4.0),
python-tooz (>= 1.28.0),
......@@ -86,7 +90,7 @@ Build-Depends-Indep: git,
python-wsme (>= 0.8),
python-yaml,
subunit,
tempest (>= 1:12.1.0),
tempest (>= 1:14.0.0),
testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ceilometer?h=debian%2Fnewton
......@@ -98,8 +102,10 @@ Section: python
Architecture: all
Depends: libjs-jquery,
python-concurrent.futures,
python-cachetools (>= 1.1.0),
python-cotyledon,
python-dateutil (>= 2.4.2),
python-tenacity (>= 3.1.0),
python-debtcollector (>= 1.2.0),
python-futurist (>= 0.11.0),
python-glanceclient (>= 1:2.0.0),
......@@ -107,7 +113,7 @@ Depends: libjs-jquery,
python-happybase,
python-jsonpath-rw-ext (>= 0.1.9),
python-jsonschema,
python-kafka (>= 0.9.5),
python-kafka (>= 1.3.1),
python-keystoneauth1 (>= 2.1.0),
python-keystoneclient (>= 1:1.6.0),
python-keystonemiddleware (>= 4.0.0),
......@@ -143,6 +149,7 @@ Depends: libjs-jquery,
python-sqlalchemy (>= 1.0.10),
python-stevedore (>= 1.9.0),
python-swiftclient (>= 1:2.2.0),
python-cinderclient (>= 1.6.0),
python-tooz (>= 1.28.0),
python-webob,
python-werkzeug,
......
......@@ -2,7 +2,7 @@ Index: ceilometer-7.0.1/requirements.txt
===================================================================
--- ceilometer-7.0.1.orig/requirements.txt
+++ ceilometer-7.0.1/requirements.txt
@@ -38,7 +38,7 @@ python-swiftclient>=2.2.0 # Apache-2.0
@@ -41,7 +41,7 @@
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
......
......@@ -49,6 +49,9 @@ override_dh_auto_clean:
rm -rf .testrepository
find . -iname '*.pyc' -delete
rm -f debian/*.init debian/*.service debian/*.upstart
rm -f AUTHORS
rm -f ChangeLog
rm -rf ceilometer.egg-info
override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment